Skip site navigation (1) Skip section navigation (2)

Re: 08.04.0100: Couldn't load libpq library

From: Hiroshi Inoue <inoue(at)tpf(dot)co(dot)jp>
To: Andrus <kobruleht2(at)hot(dot)ee>
Cc: pgsql-odbc(at)postgresql(dot)org
Subject: Re: 08.04.0100: Couldn't load libpq library
Date: 2009-09-04 12:34:26
Message-ID: 4AA10952.2050906@tpf.co.jp (view raw or flat)
Thread:
Lists: pgsql-odbc
Andrus wrote:
> After installing 8.4.1 (or 8.3.4 ) from msi in Windows  XP ,  ODBC driver
> cannot used anymore:
> 
> Error
> 
> Couldn't load libpq library
> 
> occurs.
> 
> 8.4 libpq.dll and msvcr71.dll are present in psqlODBC  subdirectory.
> 
> 08.02.0400 driver works OK.
> 
> I have sslmode=allow in init string but connection to server is not 
> crypted.
> If I install PostgreSql 8.4 server to client computer, problem is gone but
> it is not reasonable to install server in every client maschine.
> 
> How to fix this ?

Maybe MSVC2005 redistributable package is needed.
Please try
 
http://www.microsoft.com/downloads/details.aspx?familyid=200b2fd9-ae1a-4a14-984d-389c36f85647&displaylang=en
.

regards,
Hiroshi Inoue

In response to

Responses

pgsql-odbc by date

Next:From: AndrusDate: 2009-09-04 12:47:38
Subject: Re: 08.04.0100: Couldn't load libpq library
Previous:From: AndrusDate: 2009-09-03 10:59:21
Subject: 08.04.0100: Couldn't load libpq library

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group